Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetTables

java.lang.Object
org.firebirdsql.jdbc.metadata.GetTables

@InternalApi public abstract class GetTables extends Object
Provides the implementation for `DatabaseMetaData.getTables(String, String, String, String[])`, `DatabaseMetaData.getTableTypes()` and `FirebirdDatabaseMetaData.getTableTypeNames()`

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DbMetadataMediator`
`mediator`

## Method Summary

Modifier and Type
Method
Description
`static GetTables`
`create(DbMetadataMediator mediator)`
`final ResultSet`
`getTables(String tableNamePattern, String[] types)`
`final String[]`
`getTableTypeNames()`
`final ResultSet`
`getTableTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediator

protected final DbMetadataMediator mediator

## Method Details

### getTables

public final ResultSet getTables(String tableNamePattern, String[] types) throws SQLException

Throws:
  `SQLException`
See Also:
  - `DatabaseMetaData.getTables(String, String, String, String[])`

### getTableTypes

public final ResultSet getTableTypes() throws SQLException

Throws:
  `SQLException`

### getTableTypeNames

public final String[] getTableTypeNames()

### create

public static GetTables create(DbMetadataMediator mediator)